package com.kingdee.eas.custom.bill.salary;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSalaryBagInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractSalaryBagInfo()
    {
        this("id");
    }
    protected AbstractSalaryBagInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.bill.salary.SalaryBagEntryCollection());
    }
    /**
     * Object: 员工工资包 's 分录 property 
     */
    public com.kingdee.eas.custom.bill.salary.SalaryBagEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.bill.salary.SalaryBagEntryCollection)get("entrys");
    }
    /**
     * Object: 员工工资包 's 申请人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApplier()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("applier");
    }
    public void setApplier(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("applier", item);
    }
    /**
     * Object:员工工资包's 申请日期property 
     */
    public java.util.Date getApplyDate()
    {
        return getDate("applyDate");
    }
    public void setApplyDate(java.util.Date item)
    {
        setDate("applyDate", item);
    }
    /**
     * Object:员工工资包's 辅助状态property 
     */
    public int getInnerState()
    {
        return getInt("innerState");
    }
    public void setInnerState(int item)
    {
        setInt("innerState", item);
    }
    /**
     * Object: 员工工资包 's 行政组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrgUnit");
    }
    public void setAdminOrgUnit(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrgUnit", item);
    }
    /**
     * Object: 员工工资包 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:员工工资包's 金额property 
     */
    public java.math.BigDecimal getMoney()
    {
        return getBigDecimal("money");
    }
    public void setMoney(java.math.BigDecimal item)
    {
        setBigDecimal("money", item);
    }
    /**
     * Object:员工工资包's 生效日期property 
     */
    public java.util.Date getStartDate()
    {
        return getDate("startDate");
    }
    public void setStartDate(java.util.Date item)
    {
        setDate("startDate", item);
    }
    /**
     * Object:员工工资包's 失效日期property 
     */
    public java.util.Date getEndDate()
    {
        return getDate("endDate");
    }
    public void setEndDate(java.util.Date item)
    {
        setDate("endDate", item);
    }
    /**
     * Object:员工工资包's 补发日期property 
     */
    public java.util.Date getReissueDate()
    {
        return getDate("reissueDate");
    }
    public void setReissueDate(java.util.Date item)
    {
        setDate("reissueDate", item);
    }
    /**
     * Object:员工工资包's 状态property 
     */
    public com.kingdee.eas.custom.enums.billStatusEnum getStatus()
    {
        return com.kingdee.eas.custom.enums.billStatusEnum.getEnum(getString("status"));
    }
    public void setStatus(com.kingdee.eas.custom.enums.billStatusEnum item)
    {
		if (item != null) {
        setString("status", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("518DF39C");
    }
}